Package htsjdk.samtools

# Interface SAMFileSpan

All Superinterfaces:
  `Cloneable`

All Known Implementing Classes:
  `BAMFileSpan`

public interface SAMFileSpan extends Cloneable
A interface representing a collection of (possibly) discontinuous segments in the BAM file, possibly representing the results of an index query.

## Method Summary

Modifier and Type
Method
Description
`SAMFileSpan`
`getContentsFollowing()`
Gets a pointer over the data immediately following this span.
`boolean`
`isEmpty()`
Does this file span point to any data, or is it completely empty?
`SAMFileSpan`
`removeContentsBefore(SAMFileSpan fileSpan)`
Remove all pointers in this file span before the given file span starts.

## Method Details

### getContentsFollowing

SAMFileSpan getContentsFollowing()
Gets a pointer over the data immediately following this span.

Returns:
  The a pointer to data immediately following this span.

### removeContentsBefore

SAMFileSpan removeContentsBefore(SAMFileSpan fileSpan)
Remove all pointers in this file span before the given file span starts.

Parameters:
  `fileSpan` - The filespan before which to eliminate.
Returns:
  The portion of the chunk list after the given chunk.

### isEmpty

boolean isEmpty()
Does this file span point to any data, or is it completely empty?

Returns:
  True if the file span is empty, false otherwise.